Subject: Re: bug#33576: 26.1; Add version> and version>=

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 10 Jul 2019 01:45:04 +0200

Xu Chunyang <[email-masked]> writes:

> Can you please add version> and version>= ?
>
>   (defun version> (v1 v2) (version< v2 v1))
>   (defun version>= (v1 v2) (version<= v2 v1))
>
> I prefer
>
>   (version>= emacs-version "26.1")
>
> over
>
>   (version<= "26.1" emacs-version)
>
> Image that we provide < but without >. It would be painful.

That would indeed be painful, but for these very specialised comparison
functions, I'm not sure it's worth it to add (and document) them.  So
I'm closing this bug report; if somebody disagrees, feel free to reopen.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no